# API Keys required to reach AWS/Vultr
variable vultr_api_key {
  type = string
  sensitive = true
}

variable aws_key {
  type = string
  sensitive = true
}

variable aws_secret {
  type = string
  sensitive = true
}

variable aws_region {
  type = string
  sensitive = true
}

# Cluster configuration
variable cluster {
  type = object({
    region  = string
    label   = string
    version = string
    pools = map(object({
      plan = string
      autoscale = bool
      min = number
      max = number
    }))
  })
}

variable game_servers {
  type = object({
    namespace = string
    configs = map(object({
      name  = optional(string)
      image = string
      cpu   = string
      mem   = string
      port  = object({
        internal = number
        expose   = number
      })
      proto = optional(string)
    }))
  })
}

variable admin_services {
  type = object({
    namespace = string
    configs = map(object({
      name  = string
      image = string
      cpu   = string
      mem   = string
      port  = object({
        notes = optional(string)
        internal = number
        expose   = number
      })
      proto = optional(string)
    }))
  })
}

